Summary:	Portal frontend service to flatpak
Name:		xdg-desktop-portal
Version:	0.8
Release:	1
License:	LGPLv2+
Group:		System/Configuration/Packaging
Url:		https://github.com/flatpak/xdg-desktop-portal/
Source0:	https://github.com/flatpak/xdg-desktop-portal/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(flatpak)
BuildRequires:	pkgconfig(gio-unix-2.0)
Requires(post,preun):	systemd

%description
xdg-desktop-portal works by exposing a series of D-Bus interfaces known as
portals under a well-known name (org.freedesktop.portal.Desktop) and object
path (/org/freedesktop/portal/desktop). The portal interfaces include APIs for
file access, opening URIs, printing and others.

%files -f %{name}.lang
%{_libexecdir}/xdg-desktop-portal
%{_datadir}/dbus-1/services/org.freedesktop.portal.Desktop.service
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_userunitdir}/%{name}.service

%post
%systemd_user_post %{name}.service

%preun
%systemd_user_preun %{name}.service

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/Other

%description devel
Development files for %{name}.

%files devel
%{_datadir}/dbus-1/interfaces/org.freedesktop.portal.*.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.impl.portal.*.xml
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-docbook-docs
%make

%install
%makeinstall_std

# This directory is used by implementations such as xdg-desktop-portal-gtk
mkdir -p %{buildroot}%{_datadir}/%{name}/portals

%find_lang %{name}


%changelog

* Thu Aug 24 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.8-1
- (21fdcfe) Don't build docbook docs


